<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Game.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.models</a> &gt; <span class="el_source">Game.java</span></div><h1>Game.java</h1><pre class="source lang-java linenums">package dev.team3.models;

import org.springframework.stereotype.Component;

import javax.persistence.Entity;
import java.util.Objects;


public class Game {

    private String gameName;

<span class="fc" id="L13">    public Game(String gameName){</span>
<span class="fc" id="L14">        this.gameName = gameName;</span>
<span class="fc" id="L15">    }</span>

    public String getGameName() {
<span class="nc" id="L18">        return gameName;</span>
    }

    public void setGameName(String gameName) {
<span class="nc" id="L22">        this.gameName = gameName;</span>
<span class="nc" id="L23">    }</span>

    @Override
    public boolean equals(Object o) {
<span class="nc bnc" id="L27" title="All 2 branches missed.">        if (this == o) return true;</span>
<span class="nc bnc" id="L28" title="All 4 branches missed.">        if (o == null || getClass() != o.getClass()) return false;</span>
<span class="nc" id="L29">        Game game = (Game) o;</span>
<span class="nc" id="L30">        return Objects.equals(gameName, game.gameName);</span>
    }

    @Override
    public int hashCode() {
<span class="nc" id="L35">        return Objects.hash(gameName);</span>
    }

    @Override
    public String toString() {
<span class="nc" id="L40">        return &quot;Game{&quot; +</span>
                &quot;gameName='&quot; + gameName + '\'' +
                '}';
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>